// Here we avoid loading the header multiple times
#ifndef x2goplasmoid_HEADER
#define x2goplasmoid_HEADER
// We need the Plasma Applet headers

#include <Plasma/PopupApplet>
#include <Plasma/Svg>

class PlasmaX2goDialog;

class x2goplasmoid : public Plasma::PopupApplet
{
	Q_OBJECT
public:
	// Basic Create/Destroy
	x2goplasmoid(QObject *parent, const QVariantList &args);
	~x2goplasmoid();
	QString getSessionId()
	{
		return sessionId;
	}

	// The paintInterface procedure paints the applet to screen
	void init();
	QGraphicsWidget* graphicsWidget();
private:
	PlasmaX2goDialog* m_dialog;
	QString sessionId;
	QString stampFName;    
private slots:
	void slotUpdateStamp();
};

#endif
